package com.lightinit.hsdatagateway.common.exceptions;


import com.lightinit.hsdatagateway.constant.ExceptionEnum;

/**
 * 权限不足异常
 * @Author: yangrui
 * @Date: 2018/12/19 16:22
 */
public class PermissionException extends BaseException {


    public PermissionException() {
        super("权限不足", ExceptionEnum.PERMISSION.getCode());
    }


    public PermissionException(String message) {
        super(message, ExceptionEnum.PERMISSION.getCode());
    }

    public PermissionException(String message, String code) {
        super(message, code);
    }
}
